### Function

# PangoFT2 render

since: 1.0

#### Declaration [src]

    void
    pango_ft2_render (
      FT_Bitmap* bitmap,
      PangoFont* font,
      PangoGlyphString* glyphs,
      gint x,
      gint y
    )

#### Description [src]

Renders a `PangoGlyphString` onto a FreeType2 bitmap.

Available since: 1.0

#### Parameters

`bitmap`

  Type: `FT_Bitmap`

  The FreeType2 bitmap onto which to draw the string.

  The data is owned by the caller of the function.

`font`

  Type: `PangoFont`

  The font in which to draw the string.

  The data is owned by the caller of the function.

`glyphs`

  Type: `PangoGlyphString`

  The glyph string to draw.

  The data is owned by the caller of the function.

`x`

  Type: `gint`

  The x position of the start of the string (in pixels)

`y`

  Type: `gint`

  The y position of the baseline (in pixels)